// General settings
function OVERRIDE_RECORD() 
{ 
	
	this.GetValue = function(name, defaultValue) { // strings
	  try {
		  if (window.localStorage) {
			  var value = window.localStorage.getItem(name);
			  if (value) 
				  return value;  
		  }
	  } catch(err) {}
	  return defaultValue;
	}
	this.SetValue = function(name, value) { // strings
	  try {
		  if (window.localStorage) {
			  window.localStorage.setItem(name, value);  
		  }
	  } catch(err) {}
	}
	this.GetBool = function(name, defBoolean) {
	  return this.GetValue(name, defBoolean.toString()) == "true";
	}
	this.SetBool = function(name, boolValue) {
	  this.SetValue(name, boolValue.toString());
	}
	this.GetInt = function(name, defInt) {
	  var s = this.GetValue(name, defInt.toString());
	  var i = parseInt(s);
	  if (isNaN(i)) return defInt; else return i;
	}
	this.SetInt = function(name, intValue) {
	  this.SetValue(name, intValue.toString());
	}
	
	// true|false -- set true to force online site to embed local (not default social media)
	// On local PC (non-HTTP?) we always load local -- If load fails then load web social media
	
	this.embedLocal = false; // default = false 
	
	
	// true (default) | false - allow youtube embedding 
	// has no effect if this.embedLocal = true (which forces all embeds local)
	
	this.useYoutube = true;  // default true
	
	// in house testing only 
	this.testing = false;
	  this.UseAltSource = false;
	  this.debug = false;
	
	// -- More System wide settings --
	// Parial media shares on USB sticks and smaller disks
	// Allows you to share a limited number of files on a USB stick
	// If enabled with Settings.js - the Override.js discCat takes priority
	
	this.discCat = {
		
		// true|false : Set true to enable disc catalogue
		enabled : false,    // <<------------
		
		// '' OR a path to videos means all Playlist videos are included on USB at this path
		playlist : "../KleckFiles.media/video/",  
		
		// individual paths if required
		onDisc : [
			["poster",     "../KleckFiles.media/video/poster/"],   // location of poster folder
			["130725",     "../Truth/"],
			["151103",     "../Truth/"],
			["170615-02",  "../Truth/"],
 			["180721-02",  "../Truth/"],
			["190709-P01", "../Truth/"],
         ["120612-P03", "../Truth/"],
			["180323-P04", "../Truth/"],
			["200424-P06", "../Truth/"],
			["210124-P07", "../Truth/"],
			["210501-P08", "../Truth/"]		   
		],
		
		// in house function
		isOnDisc : function(ID) {
		  var i;
		  for (i = 0; i < this.onDisc.length; i++) {
		    if (ID == this.onDisc[i][0])
		     return this.onDisc[i][1];
	     }
	     return null;
	   }
	};
	
}